Subject: Re: bug#9594: 27.3 Numeric modes (File permissions): Special mode bits assume file is regular

From: Philippe Cloutier <[email-masked]>
Date: Sat, 20 Oct 2018 11:30:51 -0400

Hi Assaf,

On 18-10-15 10 h 07, Assaf Gordon wrote:
> close 9594
> retitle 9594 doc: expand 27.3 Numeric modes (File permissions)
> stop
>
> (triaging old bugs)
>
> Hello,
>
> On 25/09/11 07:57 AM, Filipus Klutiero wrote:
>> Le 2011-09-25 00:11, Paul Eggert a écrit :
>>> On 09/24/11 14:33, Filipus Klutiero wrote:
>>>
>>>> These correspondences assume that the file is a regular file.
>>> Not really: for example, the phrase "execute/search"
>>> refers to execution (for regular files) and search
>>> (for directories), and "Restricted deletion flag or sticky bit"
>>> is talking about directories (for deletion) and regular
>>> files (for sticky bit).
>> Sorry if the body didn't specify, but I was only referring to special mode bits. And indeed, one of them is OK.
>
> With no further correspondence in 7 years, I'm closing this bug.

Please clarify why this was closed. I still see the bug in Debian 9's coreutils 8.26-3. Was this fixed since?

> Discussion can continue by replying to this thread.
>
> regards,
>  - assaf

-- 
Philippe Cloutier
http://www.philippecloutier.com